Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -12636,17 +12867,17 @@
     movzx bx, al                              ; 0f b6 d8
     mov ax, bx                                ; 89 d8
-    call 0165ch                               ; e8 16 8e
+    call 0165ch                               ; e8 f0 8b
     test al, al                               ; 84 c0
-    je short 08881h                           ; 74 37
+    je short 08aa7h                           ; 74 37
     mov al, dl                                ; 88 d0
     db  0feh, 0c0h
     ; inc al                                    ; fe c0
     xor ah, ah                                ; 30 e4
-    call 0165ch                               ; e8 09 8e
+    call 0165ch                               ; e8 e3 8b
     xor ah, ah                                ; 30 e4
     mov cx, ax                                ; 89 c1
     sal cx, 008h                              ; c1 e1 08
     movzx ax, dl                              ; 0f b6 c2
-    call 0165ch                               ; e8 fc 8d
+    call 0165ch                               ; e8 d6 8b
     xor ah, ah                                ; 30 e4
     add ax, cx                                ; 01 c8
@@ -12655,21 +12886,21 @@
     add AL, strict byte 002h                  ; 04 02
     xor ah, ah                                ; 30 e4
-    call 0165ch                               ; e8 ec 8d
+    call 0165ch                               ; e8 c6 8b
     xor ah, ah                                ; 30 e4
     mov word [bp-028h], ax                    ; 89 46 d8
     mov ax, bx                                ; 89 d8
-    call 0165ch                               ; e8 e2 8d
+    call 0165ch                               ; e8 bc 8b
     xor ah, ah                                ; 30 e4
     mov word [bp-024h], ax                    ; 89 46 dc
-    jmp short 0888eh                          ; eb 0d
+    jmp short 08ab4h                          ; eb 0d
     mov bx, di                                ; 89 fb
     mov cx, word [bp-014h]                    ; 8b 4e ec
     mov dx, ss                                ; 8c d2
     lea ax, [bp-028h]                         ; 8d 46 d8
-    call 0532ch                               ; e8 9e ca
-    mov bx, 00da6h                            ; bb a6 0d
+    call 0534bh                               ; e8 97 c8
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 33 90
+    call 018e1h                               ; e8 22 8e
     push word [bp-014h]                       ; ff 76 ec
     push di                                   ; 57
@@ -12688,5 +12919,5 @@
     push 00cdah                               ; 68 da 0c
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 4b 90
+    call 01922h                               ; e8 3a 8e
     add sp, strict byte 00018h                ; 83 c4 18
     movzx di, byte [bp-00ch]                  ; 0f b6 7e f4
@@ -12716,5 +12947,5 @@
     mov dx, strict word 00075h                ; ba 75 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 f5 8c
+    call 01600h                               ; e8 cf 8a
     db  0feh, 0c0h
     ; inc al                                    ; fe c0
@@ -12722,10 +12953,10 @@
     mov dx, strict word 00075h                ; ba 75 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 f5 8c
-    jmp near 089b9h                           ; e9 9d 00
+    call 0160eh                               ; e8 cf 8a
+    jmp near 08bdfh                           ; e9 9d 00
     cmp dx, 0eb14h                            ; 81 fa 14 eb
-    jne near 089b9h                           ; 0f 85 95 00
+    jne near 08bdfh                           ; 0f 85 95 00
     cmp bx, 00101h                            ; 81 fb 01 01
-    jne near 089b9h                           ; 0f 85 8d 00
+    jne near 08bdfh                           ; 0f 85 8d 00
     mov es, [bp-00eh]                         ; 8e 46 f2
     db  066h, 026h, 0c7h, 004h, 000h, 000h, 000h, 000h
@@ -12739,5 +12970,5 @@
     mov ax, si                                ; 89 f0
     mov dx, word [bp-020h]                    ; 8b 56 e0
-    call 07e76h                               ; e8 1f f5
+    call 0809ch                               ; e8 1f f5
     test byte [bp-00228h], 080h               ; f6 86 d8 fd 80
     db  00fh, 095h, 0c0h
@@ -12780,5 +13011,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-ahci_mem_alloc_:                             ; 0xf89d2 LB 0x43
+ahci_mem_alloc_:                             ; 0xf8bf8 LB 0x43
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -12790,7 +13021,7 @@
     mov dx, 00413h                            ; ba 13 04
     xor ax, ax                                ; 31 c0
-    call 0161ch                               ; e8 3a 8c
+    call 0161ch                               ; e8 14 8a
     test ax, ax                               ; 85 c0
-    je short 08a0bh                           ; 74 25
+    je short 08c31h                           ; 74 25
     dec ax                                    ; 48
     mov bx, ax                                ; 89 c3
@@ -12799,5 +13030,5 @@
     sal ax, 1                                 ; d1 e0
     rcl dx, 1                                 ; d1 d2
-    loop 089eeh                               ; e2 fa
+    loop 08c14h                               ; e2 fa
     mov si, ax                                ; 89 c6
     mov di, dx                                ; 89 d7
@@ -12805,8 +13036,8 @@
     shr di, 1                                 ; d1 ef
     rcr si, 1                                 ; d1 de
-    loop 089fbh                               ; e2 fa
+    loop 08c21h                               ; e2 fa
     mov dx, 00413h                            ; ba 13 04
     xor ax, ax                                ; 31 c0
-    call 0162ah                               ; e8 21 8c
+    call 0162ah                               ; e8 fb 89
     mov ax, si                                ; 89 f0
     lea sp, [bp-00ah]                         ; 8d 66 f6
@@ -12818,5 +13049,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-ahci_hba_init_:                              ; 0xf8a15 LB 0x125
+ahci_hba_init_:                              ; 0xf8c3b LB 0x125
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -12830,5 +13061,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 f1 8b
+    call 0161ch                               ; e8 cb 89
     mov bx, 00122h                            ; bb 22 01
     mov word [bp-010h], ax                    ; 89 46 f0
@@ -12847,8 +13078,8 @@
     shr eax, 010h                             ; 66 c1 e8 10
     xchg dx, ax                               ; 92
-    call 089d2h                               ; e8 82 ff
+    call 08bf8h                               ; e8 82 ff
     mov di, ax                                ; 89 c7
     test ax, ax                               ; 85 c0
-    je near 08b19h                            ; 0f 84 c1 00
+    je near 08d3fh                            ; 0f 84 c1 00
     mov es, [bp-010h]                         ; 8e 46 f0
     mov word [es:bx+001eeh], di               ; 26 89 bf ee 01
@@ -12864,5 +13095,5 @@
     mov dx, strict word 00004h                ; ba 04 00
     mov ax, si                                ; 89 f0
-    call 07ca5h                               ; e8 19 f2
+    call 07ecbh                               ; e8 19 f2
     mov ax, strict word 00004h                ; b8 04 00
     xor cx, cx                                ; 31 c9
@@ -12881,5 +13112,5 @@
     xchg dx, ax                               ; 92
     test AL, strict byte 001h                 ; a8 01
-    jne short 08a8ch                          ; 75 de
+    jne short 08cb2h                          ; 75 de
     xor ax, ax                                ; 31 c0
     xor cx, cx                                ; 31 c9
@@ -12899,33 +13130,33 @@
     mov bx, strict word 0001fh                ; bb 1f 00
     xor cx, cx                                ; 31 c9
-    call 07d68h                               ; e8 96 f2
+    call 07f8eh                               ; e8 96 f2
     db  0feh, 0c0h
     ; inc al                                    ; fe c0
     mov byte [bp-00eh], al                    ; 88 46 f2
     mov byte [bp-00ch], 000h                  ; c6 46 f4 00
-    jmp short 08ae6h                          ; eb 09
+    jmp short 08d0ch                          ; eb 09
     inc byte [bp-00ch]                        ; fe 46 f4
     cmp byte [bp-00ch], 020h                  ; 80 7e f4 20
-    jnc short 08b17h                          ; 73 31
+    jnc short 08d3dh                          ; 73 31
     movzx cx, byte [bp-00ch]                  ; 0f b6 4e f4
     mov ax, strict word 00001h                ; b8 01 00
     xor dx, dx                                ; 31 d2
-    jcxz 08af7h                               ; e3 06
+    jcxz 08d1dh                               ; e3 06
     sal ax, 1                                 ; d1 e0
     rcl dx, 1                                 ; d1 d2
-    loop 08af1h                               ; e2 fa
+    loop 08d17h                               ; e2 fa
     mov bx, ax                                ; 89 c3
     mov cx, dx                                ; 89 d1
     mov dx, strict word 0000ch                ; ba 0c 00
     mov ax, si                                ; 89 f0
-    call 07d2fh                               ; e8 2c f2
+    call 07f55h                               ; e8 2c f2
     test al, al                               ; 84 c0
-    je short 08addh                           ; 74 d6
+    je short 08d03h                           ; 74 d6
     movzx bx, byte [bp-00ch]                  ; 0f b6 5e f4
     xor ax, ax                                ; 31 c0
     mov dx, di                                ; 89 fa
-    call 08601h                               ; e8 ef fa
+    call 08827h                               ; e8 ef fa
     dec byte [bp-00eh]                        ; fe 4e f2
-    jne short 08addh                          ; 75 c6
+    jne short 08d03h                          ; 75 c6
     xor ax, ax                                ; 31 c0
     lea sp, [bp-00ah]                         ; 8d 66 f6
@@ -12937,7 +13168,7 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-    db  00bh, 005h, 004h, 003h, 002h, 001h, 000h, 009h, 08ch, 0e7h, 08bh, 0edh, 08bh, 0f3h, 08bh, 0f9h
-    db  08bh, 0ffh, 08bh, 005h, 08ch, 009h, 08ch
-_ahci_init:                                  ; 0xf8b3a LB 0xfe
+    db  00bh, 005h, 004h, 003h, 002h, 001h, 000h, 02fh, 08eh, 00dh, 08eh, 013h, 08eh, 019h, 08eh, 01fh
+    db  08eh, 025h, 08eh, 02bh, 08eh, 02fh, 08eh
+_ahci_init:                                  ; 0xf8d60 LB 0xfe
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -12947,8 +13178,8 @@
     mov ax, 00601h                            ; b8 01 06
     mov dx, strict word 00001h                ; ba 01 00
-    call 09058h                               ; e8 0d 05
+    call 0927eh                               ; e8 0d 05
     mov dx, ax                                ; 89 c2
     cmp ax, strict word 0ffffh                ; 3d ff ff
-    je near 08c31h                            ; 0f 84 dd 00
+    je near 08e57h                            ; 0f 84 dd 00
     xor al, al                                ; 30 c0
     shr ax, 008h                              ; c1 e8 08
@@ -12958,8 +13189,8 @@
     xor ah, ah                                ; 30 e4
     mov bx, strict word 00034h                ; bb 34 00
-    call 09083h                               ; e8 1a 05
+    call 092a9h                               ; e8 1a 05
     mov cl, al                                ; 88 c1
     test cl, cl                               ; 84 c9
-    je short 08b92h                           ; 74 23
+    je short 08db8h                           ; 74 23
     movzx bx, cl                              ; 0f b6 d9
     movzx di, byte [bp-008h]                  ; 0f b6 7e f8
@@ -12967,7 +13198,7 @@
     mov dx, di                                ; 89 fa
     mov ax, si                                ; 89 f0
-    call 09083h                               ; e8 02 05
+    call 092a9h                               ; e8 02 05
     cmp AL, strict byte 012h                  ; 3c 12
-    je short 08b92h                           ; 74 0d
+    je short 08db8h                           ; 74 0d
     mov al, cl                                ; 88 c8
     db  0feh, 0c0h
@@ -12976,7 +13207,7 @@
     mov dx, di                                ; 89 fa
     mov ax, si                                ; 89 f0
-    jmp short 08b66h                          ; eb d4
+    jmp short 08d8ch                          ; eb d4
     test cl, cl                               ; 84 c9
-    je near 08c31h                            ; 0f 84 99 00
+    je near 08e57h                            ; 0f 84 99 00
     add cl, 002h                              ; 80 c1 02
     movzx bx, cl                              ; 0f b6 d9
@@ -12985,7 +13216,7 @@
     mov dx, di                                ; 89 fa
     mov ax, si                                ; 89 f0
-    call 09083h                               ; e8 d6 04
+    call 092a9h                               ; e8 d6 04
     cmp AL, strict byte 010h                  ; 3c 10
-    jne near 08c31h                           ; 0f 85 7e 00
+    jne near 08e57h                           ; 0f 85 7e 00
     mov byte [bp-006h], 000h                  ; c6 46 fa 00
     mov al, cl                                ; 88 c8
@@ -12994,29 +13225,29 @@
     mov dx, di                                ; 89 fa
     mov ax, si                                ; 89 f0
-    call 090a7h                               ; e8 e2 04
+    call 092cdh                               ; e8 e2 04
     mov dx, ax                                ; 89 c2
     and ax, strict word 0000fh                ; 25 0f 00
     sub ax, strict word 00004h                ; 2d 04 00
     cmp ax, strict word 0000bh                ; 3d 0b 00
-    jnbe short 08c09h                         ; 77 37
+    jnbe short 08e2fh                         ; 77 37
     push CS                                   ; 0e
     pop ES                                    ; 07
     mov cx, strict word 00008h                ; b9 08 00
-    mov di, 08b23h                            ; bf 23 8b
+    mov di, 08d49h                            ; bf 49 8d
     repne scasb                               ; f2 ae
     sal cx, 1                                 ; d1 e1
     mov di, cx                                ; 89 cf
-    mov ax, word [cs:di-074d6h]               ; 2e 8b 85 2a 8b
+    mov ax, word [cs:di-072b0h]               ; 2e 8b 85 50 8d
     jmp ax                                    ; ff e0
     mov byte [bp-006h], 010h                  ; c6 46 fa 10
-    jmp short 08c09h                          ; eb 1c
+    jmp short 08e2fh                          ; eb 1c
     mov byte [bp-006h], 014h                  ; c6 46 fa 14
-    jmp short 08c09h                          ; eb 16
+    jmp short 08e2fh                          ; eb 16
     mov byte [bp-006h], 018h                  ; c6 46 fa 18
-    jmp short 08c09h                          ; eb 10
+    jmp short 08e2fh                          ; eb 10
     mov byte [bp-006h], 01ch                  ; c6 46 fa 1c
-    jmp short 08c09h                          ; eb 0a
+    jmp short 08e2fh                          ; eb 0a
     mov byte [bp-006h], 020h                  ; c6 46 fa 20
-    jmp short 08c09h                          ; eb 04
+    jmp short 08e2fh                          ; eb 04
     mov byte [bp-006h], 024h                  ; c6 46 fa 24
     mov si, dx                                ; 89 d6
@@ -13025,14 +13256,14 @@
     mov al, byte [bp-006h]                    ; 8a 46 fa
     test al, al                               ; 84 c0
-    je short 08c31h                           ; 74 19
+    je short 08e57h                           ; 74 19
     movzx bx, al                              ; 0f b6 d8
     movzx dx, byte [bp-008h]                  ; 0f b6 56 f8
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
-    call 090c9h                               ; e8 a3 04
+    call 092efh                               ; e8 a3 04
     test AL, strict byte 001h                 ; a8 01
-    je short 08c31h                           ; 74 07
+    je short 08e57h                           ; 74 07
     and AL, strict byte 0f0h                  ; 24 f0
     add ax, si                                ; 01 f0
-    call 08a15h                               ; e8 e4 fd
+    call 08c3bh                               ; e8 e4 fd
     lea sp, [bp-004h]                         ; 8d 66 fc
     pop di                                    ; 5f
@@ -13040,5 +13271,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-apm_out_str_:                                ; 0xf8c38 LB 0x39
+apm_out_str_:                                ; 0xf8e5e LB 0x39
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -13046,5 +13277,5 @@
     mov bx, ax                                ; 89 c3
     cmp byte [bx], 000h                       ; 80 3f 00
-    je short 08c4dh                           ; 74 0a
+    je short 08e73h                           ; 74 0a
     mov al, byte [bx]                         ; 8a 07
     out DX, AL                                ; ee
@@ -13053,26 +13284,27 @@
     db  00ah, 0c0h
     ; or al, al                                 ; 0a c0
-    jne short 08c45h                          ; 75 f8
+    jne short 08e6bh                          ; 75 f8
     lea sp, [bp-002h]                         ; 8d 66 fe
     pop bx                                    ; 5b
     pop bp                                    ; 5d
     retn                                      ; c3
-    xchg sp, ax                               ; 94
-    mov [bx+si-073h], fs                      ; 8c 60 8d
-    cmpsb                                     ; a6
-    mov cx, es                                ; 8c c1
-    mov [bx+si-073h], fs                      ; 8c 60 8d
-    in AL, DX                                 ; ec
-    mov [bx+si-073h], fs                      ; 8c 60 8d
-    db  0f1h
-    db  08ch
-    xor ax, 0358dh                            ; 35 8d 35
-    lea si, [di]                              ; 8d 35
-    lea si, [bx+si]                           ; 8d 30
-    lea si, [di]                              ; 8d 35
-    lea si, [di]                              ; 8d 35
-    lea bp, [bx+di]                           ; 8d 29
-    db  08dh
-_apm_function:                               ; 0xf8c71 LB 0xf5
+    mov dx, 0868eh                            ; ba 8e 86
+    db  08fh, 0cch
+    ; pop sp                                    ; 8f cc
+    mov fs, di                                ; 8e e7
+    mov es, [bp+0128fh]                       ; 8e 86 8f 12
+    pop word [bp+0178fh]                      ; 8f 86 8f 17
+    db  08fh, 05bh, 08fh
+    ; pop word [bp+di-071h]                     ; 8f 5b 8f
+    pop bx                                    ; 5b
+    db  08fh, 05bh, 08fh
+    ; pop word [bp+di-071h]                     ; 8f 5b 8f
+    push si                                   ; 56
+    db  08fh, 05bh, 08fh
+    ; pop word [bp+di-071h]                     ; 8f 5b 8f
+    pop bx                                    ; 5b
+    db  08fh, 04fh, 08fh
+    ; pop word [bx-071h]                        ; 8f 4f 8f
+_apm_function:                               ; 0xf8e97 LB 0xf5
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -13082,21 +13314,21 @@
     xor ah, ah                                ; 30 e4
     cmp ax, strict word 0000eh                ; 3d 0e 00
-    jnbe near 08d35h                          ; 0f 87 b0 00
+    jnbe near 08f5bh                          ; 0f 87 b0 00
     mov bx, ax                                ; 89 c3
     add bx, ax                                ; 01 c3
     mov dx, word [bp+018h]                    ; 8b 56 18
     or dl, 001h                               ; 80 ca 01
-    jmp word [cs:bx-073adh]                   ; 2e ff a7 53 8c
+    jmp word [cs:bx-07187h]                   ; 2e ff a7 79 8e
     mov word [bp+012h], 00102h                ; c7 46 12 02 01
     mov word [bp+00ch], 0504dh                ; c7 46 0c 4d 50
     mov word [bp+010h], strict word 00003h    ; c7 46 10 03 00
-    jmp near 08d60h                           ; e9 ba 00
+    jmp near 08f86h                           ; e9 ba 00
     mov word [bp+012h], 0f000h                ; c7 46 12 00 f0
-    mov word [bp+00ch], 092c4h                ; c7 46 0c c4 92
+    mov word [bp+00ch], 094e4h                ; c7 46 0c e4 94
     mov word [bp+010h], 0f000h                ; c7 46 10 00 f0
     mov ax, strict word 0fff0h                ; b8 f0 ff
     mov word [bp+006h], ax                    ; 89 46 06
     mov word [bp+004h], ax                    ; 89 46 04
-    jmp near 08d60h                           ; e9 9f 00
+    jmp near 08f86h                           ; e9 9f 00
     mov word [bp+012h], 0f000h                ; c7 46 12 00 f0
     mov word [bp+00ch], 0da40h                ; c7 46 0c 40 da
@@ -13111,41 +13343,41 @@
     mov si, ax                                ; 89 c6
     sal esi, 010h                             ; 66 c1 e6 10
-    jmp near 08d60h                           ; e9 74 00
+    jmp near 08f86h                           ; e9 74 00
     sti                                       ; fb
     hlt                                       ; f4
-    jmp near 08d60h                           ; e9 6f 00
+    jmp near 08f86h                           ; e9 6f 00
     cmp word [bp+010h], strict byte 00003h    ; 83 7e 10 03
-    je short 08d16h                           ; 74 1f
+    je short 08f3ch                           ; 74 1f
     cmp word [bp+010h], strict byte 00002h    ; 83 7e 10 02
-    je short 08d0eh                           ; 74 11
+    je short 08f34h                           ; 74 11
     cmp word [bp+010h], strict byte 00001h    ; 83 7e 10 01
-    jne short 08d1eh                          ; 75 1b
+    jne short 08f44h                          ; 75 1b
     mov dx, 08900h                            ; ba 00 89
     mov ax, 00d12h                            ; b8 12 0d
-    call 08c38h                               ; e8 2c ff
-    jmp short 08d60h                          ; eb 52
+    call 08e5eh                               ; e8 2c ff
+    jmp short 08f86h                          ; eb 52
     mov dx, 08900h                            ; ba 00 89
     mov ax, 00d1ah                            ; b8 1a 0d
-    jmp short 08d09h                          ; eb f3
+    jmp short 08f2fh                          ; eb f3
     mov dx, 08900h                            ; ba 00 89
     mov ax, 00d22h                            ; b8 22 0d
-    jmp short 08d09h                          ; eb eb
+    jmp short 08f2fh                          ; eb eb
     or ah, 00ah                               ; 80 cc 0a
     mov word [bp+012h], ax                    ; 89 46 12
     mov word [bp+018h], dx                    ; 89 56 18
-    jmp short 08d60h                          ; eb 37
+    jmp short 08f86h                          ; eb 37
     mov word [bp+012h], 00102h                ; c7 46 12 02 01
-    jmp short 08d60h                          ; eb 30
+    jmp short 08f86h                          ; eb 30
     or ah, 080h                               ; 80 cc 80
-    jmp short 08d21h                          ; eb ec
-    mov bx, 00da6h                            ; bb a6 0d
+    jmp short 08f47h                          ; eb ec
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 8c 8b
+    call 018e1h                               ; e8 7b 89
     push word [bp+00ch]                       ; ff 76 0c
     push word [bp+012h]                       ; ff 76 12
     push 00d2bh                               ; 68 2b 0d
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 bf 8b
+    call 01922h                               ; e8 ae 89
     add sp, strict byte 00008h                ; 83 c4 08
     mov ax, word [bp+012h]                    ; 8b 46 12
@@ -13158,5 +13390,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-pci16_select_reg_:                           ; 0xf8d66 LB 0x24
+pci16_select_reg_:                           ; 0xf8f8c LB 0x24
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -13175,5 +13407,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-pci16_find_device_:                          ; 0xf8d8a LB 0xf7
+pci16_find_device_:                          ; 0xf8fb0 LB 0xf7
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -13189,8 +13421,8 @@
     mov byte [bp-008h], 000h                  ; c6 46 f8 00
     test bl, 007h                             ; f6 c3 07
-    jne short 08dd2h                          ; 75 2d
+    jne short 08ff8h                          ; 75 2d
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, bx                                ; 89 d8
-    call 08d66h                               ; e8 b9 ff
+    call 08f8ch                               ; e8 b9 ff
     mov dx, 00cfeh                            ; ba fe 0c
     in AL, DX                                 ; ec
@@ -13199,23 +13431,23 @@
     mov byte [bp-006h], al                    ; 88 46 fa
     cmp AL, strict byte 0ffh                  ; 3c ff
-    jne short 08dc0h                          ; 75 06
+    jne short 08fe6h                          ; 75 06
     add bx, strict byte 00008h                ; 83 c3 08
-    jmp near 08e53h                           ; e9 93 00
+    jmp near 09079h                           ; e9 93 00
     test byte [bp-006h], 080h                 ; f6 46 fa 80
-    je short 08dcdh                           ; 74 07
+    je short 08ff3h                           ; 74 07
     mov word [bp-00ah], strict word 00001h    ; c7 46 f6 01 00
-    jmp short 08dd2h                          ; eb 05
+    jmp short 08ff8h                          ; eb 05
     mov word [bp-00ah], strict word 00008h    ; c7 46 f6 08 00
     mov al, byte [bp-006h]                    ; 8a 46 fa
     and AL, strict byte 007h                  ; 24 07
     cmp AL, strict byte 001h                  ; 3c 01
-    jne short 08dfah                          ; 75 1f
+    jne short 09020h                          ; 75 1f
     mov ax, bx                                ; 89 d8
     shr ax, 008h                              ; c1 e8 08
     test ax, ax                               ; 85 c0
-    jne short 08dfah                          ; 75 16
+    jne short 09020h                          ; 75 16
     mov dx, strict word 0001ah                ; ba 1a 00
     mov ax, bx                                ; 89 d8
-    call 08d66h                               ; e8 7a ff
+    call 08f8ch                               ; e8 7a ff
     mov dx, 00cfeh                            ; ba fe 0c
     in AL, DX                                 ; ec
@@ -13223,13 +13455,13 @@
     ; sub ah, ah                                ; 2a e4
     cmp al, byte [bp-008h]                    ; 3a 46 f8
-    jbe short 08dfah                          ; 76 03
+    jbe short 09020h                          ; 76 03
     mov byte [bp-008h], al                    ; 88 46 f8
     test di, di                               ; 85 ff
-    je short 08e03h                           ; 74 05
+    je short 09029h                           ; 74 05
     mov dx, strict word 00008h                ; ba 08 00
-    jmp short 08e05h                          ; eb 02
+    jmp short 0902bh                          ; eb 02
     xor dx, dx                                ; 31 d2
     mov ax, bx                                ; 89 d8
-    call 08d66h                               ; e8 5c ff
+    call 08f8ch                               ; e8 5c ff
     mov dx, 00cfch                            ; ba fc 0c
     in eax, DX                                ; 66 ed
@@ -13242,22 +13474,22 @@
     mov word [bp-010h], strict word 00000h    ; c7 46 f0 00 00
     test di, di                               ; 85 ff
-    je short 08e34h                           ; 74 0f
+    je short 0905ah                           ; 74 0f
     mov cx, strict word 00008h                ; b9 08 00
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 08e28h                               ; e2 fa
+    loop 0904eh                               ; e2 fa
     mov word [bp-00eh], ax                    ; 89 46 f2
     mov word [bp-00ch], dx                    ; 89 56 f4
     mov ax, word [bp-00ch]                    ; 8b 46 f4
     cmp ax, word [bp-014h]                    ; 3b 46 ec
-    jne short 08e44h                          ; 75 08
+    jne short 0906ah                          ; 75 08
     mov ax, word [bp-00eh]                    ; 8b 46 f2
     cmp ax, word [bp-012h]                    ; 3b 46 ee
-    je short 08e4ah                           ; 74 06
+    je short 09070h                           ; 74 06
     cmp word [bp-010h], strict byte 00000h    ; 83 7e f0 00
-    je short 08e50h                           ; 74 06
+    je short 09076h                           ; 74 06
     dec si                                    ; 4e
     cmp si, strict byte 0ffffh                ; 83 fe ff
-    je short 08e62h                           ; 74 12
+    je short 09088h                           ; 74 12
     add bx, word [bp-00ah]                    ; 03 5e f6
     mov dx, bx                                ; 89 da
@@ -13265,9 +13497,9 @@
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     cmp dx, ax                                ; 39 c2
-    jbe near 08da0h                           ; 0f 86 3e ff
+    jbe near 08fc6h                           ; 0f 86 3e ff
     cmp si, strict byte 0ffffh                ; 83 fe ff
-    jne short 08e6bh                          ; 75 04
+    jne short 09091h                          ; 75 04
     mov ax, bx                                ; 89 d8
-    jmp short 08e6eh                          ; eb 03
+    jmp short 09094h                          ; eb 03
     mov ax, strict word 0ffffh                ; b8 ff ff
     lea sp, [bp-004h]                         ; 8d 66 fc
